PLUGIN:
  LOADING:
    - ''
    - '&3Tr&bMenu &7loading...'
    - ''
  ENABLED: '&8[&3Tr&bMenu&8] &bINFO &8| &3Loaded. TrMenu &av{0} &3has been enabled.'
  DISABLED: '&8[&3Tr&bMenu&8] &bINFO &8| &7Disabled. Thanks for using :)'
  DEPEND:
    DOWNLOAD: '&8[&3Tr&bMenu&8] &eDEPEND &8| &7Downloading depend plugin &f{0} &7...'
    INSTALL: '&8[&3Tr&bMenu&8] &eDEPEND &8| &7Successfullly downloaded &3{0} &7, restarting the server...'
    INSTALL-FAILED: '&8[&3Tr&bMenu&8] &eDEPEND &8| &7Failed to install depend plugin &c{0} &7...'
  HOOKED: '&8[&3Tr&bMenu&8] &eDEPEND &8| &7Hooked &6{0}&7...'
  UPDATER:
    LATEST: '&8[&3Tr&bMenu&8] &2You''re running the latest version of &3TrMenu&a.'
    DEV: '&8[&3Tr&bMenu&8] &6You''re running the development version of &3TrMenu&6.'
    OLD:
      - '&8[&3Tr&bMenu&8] &bFound a new available version &av{0}&b, download it here'
      - '&2https://www.spigotmc.org/resources/74284'
    TOO-OLD:
      - "&8--------------------------------------------------"
      - "&r"
      - "&8# &4The version of &cTrMenu &4you are running is too old"
      - "&8# &4Please update to the latest version in time!"
      - "&8# &r"
      - "&8# &4SpigotMC: &c"
      - "&8# &r"
      - "&8# &r"
      - "&8# &4The server will start in &c&l{0} secs &4..."
      - "&r"
      - "&8--------------------------------------------------"
    CONFIRM: '&8[&3Tr&bMenu&8] &eUPDATE &8| &7To confirm this action, type &3/TrMenu Update Confirmed&7.'
    DOWNLOADING: '&8[&3Tr&bMenu&8] &eUPDATE &8| &7Downloading the latest TrMenu &3v{0} &7...'
    DOWNLOAD-COMPLETED: '&8[&3Tr&bMenu&8] &eUPDATE &8| &aSuccessfully downloaded the latest version of TrMenu. Restart your server to complete the update!'
    DOWNLOAD-FAILED: '&8[&3Tr&bMenu&8] &eUPDATE &8| &cFailed to download the latest TrMenu ...'

ERROR:
  HDB: '&8[&3Tr&bMenu&8] &cERROR &8| &cYou can not use &6{0} &csince there''s no &6HeadDatabase&c.'
  VERSION: '&8[&3Tr&bMenu&8] &cERROR &8| &7Plugin version error. Please re-download the plugin.'
  JS:
    - '&8[&3Tr&bMenu&8] &cERROR &8| &cExpression error: &2{0}'
    - '&6{1}'
    - '&8{2}'

MENU:
  LOADED-AUTOLY: '&8[&3Tr&bMenu&8] &bINFO &8| &7File changes, automatically reloaded menu &f{0}&7...'
  LOADED-AUTOLY-FAILED: '&8[&3Tr&bMenu&8] &6WARN &8| &7Error during auto-reload menu &f{0} &7, failed to update menu. Please check these errors, re-edit and save the file'
  LOADED-SUCCESS: '&8[&3Tr&bMenu&8] &bINFO &8| &7Loaded &a{0} &7menus... &8[&7{1} Ms&8]'
  LOADED-FAILURE: '&8[&3Tr&bMenu&8] &6WARN &8| &7There''re &6{0} &7menus failed to load. Please check these errors...'
  DEPEND-EXPANSIONS-REQUIRED: '&8[&3Tr&bMenu&8] &7You need to install PlaceholderAPI expansions &6{0} &7to use that menu.'
  NOT-EXIST: '&8[&3Tr&bMenu&8] &7Menu doesn''t exist...'
  NOT-SUPPORTED: '&8[&3Tr&bMenu&8] &7Menu not supported yet &f{0}&7...'
  NOT-ENOUGH-ARGS: '&8[&3Tr&bMenu&8] &7Requires &6{0} &7arguments.'
  LOADING-ERRORS:
    NO-BUTTONS: '&7Menu &6{0} &7do not contain Buttons section'
    YAML: '&7Menu &6{0} &7has YAML error &c{1} &8{2}'
    JSON: '&7Menu &6{0} &7has JSON error &c{1} &8{2}'
    CONFLICT-OPEN-COMMANDS: '&7Menu &6{0} &7has conflicting open command with menu &6{1}...'
    CONFLICT-OPEN-ITEMS: '&7Menu &6{0} &7has conflicting bind item lore with menu &6{1}...'
    ICON-NO-CONDITION: '&7Menu &6{0} &7button &3{1} &7has empty condition for priority icon'
    ICON-LOAD-FAILED: '&7Menu &6{0} &7button &3{1} &7failed to load. &3{2}&8{3}'

MIGRATE:
  UNSUPPORTED-TYPE: '&8[&3Tr&bMenu&8] &7Do not support to migrate from &f{0} &7yet...'
  NOT-EXISTED: '&8[&3Tr&bMenu&8] &cFile or dir &6{0} &cdoes not exist or is empty...'
  PROCESSING: '&8[&3Tr&bMenu&8] &7Processing, in total &f{0} &7files to be migrated...'
  SUCCESS: '&8[&3Tr&bMenu&8] &3Successfully migrated &a{0} &3menus...'
  ERROR: '&8[&3Tr&bMenu&8] &7There are &c{0} &7menus failed to migrate, please check errors.'

HASTEBIN:
  PROCESSING: '&8[&3Tr&bMenu&8] &7Please wait...'
  SUCCESS: '&8[&3Tr&bMenu&8] &3Your content has been pasted on &a{0}'
  FAILED: '&8[&3Tr&bMenu&8] &cFailed to pasted content on hastebin.'

TEMPLATE:
  EMPTY: '&8[&3Tr&bMenu&8] &7Inventory is empty, generation canceled.'
  PROCESSING: '&8[&3Tr&bMenu&8] &7Generate inventory into TrMenu format ...'
  SUCCESS:
    ==: JSON
    text: '&8[&3Tr&bMenu&8] &3Done, click <&a&nHERE@hastebin> &3to copy down'
    args:
      hastebin:
        hover: '&7Click to visit'
        url: '{0}'
  FAILED: '&8[&3Tr&bMenu&8] &cGenerate failed.'

COMMANDS:
  NOT-PLAYER: '&8[&3Tr&bMenu&8] &cPlayer only...'
  NO-PLAYER: '&8[&3Tr&bMenu&8] &cPlayer is not online...'
  OPENED-FOR: '&8[&3Tr&bMenu&8] &3Opened the menu for the player...'
  NO-ITEM: '&8[&3Tr&bMenu&8] &cYou have to hold an item in your main hand.'
  ITEM-TO-JSON:
    ==: JSON
    text: '&8[&3Tr&bMenu&8] &7Write item to JSON: <&3&n{0}@copy>'
    args:
      copy:
        hover: '&7Click to copy'
        suggest: '{0}'
  JSON-TO-ITEM:
    SUCCESS: '&8[&3Tr&bMenu&8] &3Converted Json as ItemStack，added to your inventory...'
    FAILED: '&8[&3Tr&bMenu&8] &cFailed to convert Json to ItemStack...'
  LIST:
    - '&8--------------------------------------------------'
    - '&3Tr&bMenu &7- Menu List'
    - ''
  LIST-FORMAT:
    - '&8▫ &6{0}'
  HELP-PAGE:
    ==: JSON
    text:
      - '&8--------------------------------------------------'
      - '&3Tr&bMenu &7- Advanced Dynamic Menu &6*{0}'
      - ''
      - '&8▪ <&7/&3{1} List@list> &8— &7 List menus'
      - '&8▪ <&7/&3{1} Reload@reload> &8— &7 Reload all menus'
      - '&8▪ <&7/&3{1} Open [Menu] [Id]@open> &8— &7 Open a menu for a player'
      - '&8▪ <&7/&3{1} Item@item> &8— &7 Translate itemstack into JSON'
      - '&8▪ <&7/&3{1} Template@template> &3<Rows> &8- &7 Generate menu conveniently'
      - '&8▪ <&7/&3{1} About@about> &8- &7 About plugin'
      - ''
      - '&8--------------------------------------------------'
    args:
      list:
        hover: |-
          &7Click to execute
        command: '/trmenu list'
      reload:
        hover: |-
          &7Click to execute
        command: '/trmenu reload'
      open:
        hover: |-
          &7Click to suggest
        suggest: '/trmenu open'
      item:
        hover: |-
          &7Click to suggest
        suggest: '/trmenu item'
      template:
        hover: |-
          &7Click to suggest
        suggest: '/trmenu template'
      about:
        hover: |-
          &7Click to view
        suggest: '/trmenu about'
